Loading...
Searching...
No Matches
pcl::segmentation::grabcut::GaussianFitter Class Reference

Helper class that fits a single Gaussian to color samples. More...

`#include <pcl/segmentation/grabcut_segmentation.h>`

## Public Member Functions

| GaussianFitter (float epsilon=0.0001f)
void | add (const Color &c)
| Add a color sample.
void | fit (Gaussian &g, std::size_t total_count, bool compute_eigens=false) const
| Build the gaussian out of all the added color samples.
float | getEpsilon ()
void | setEpsilon (float epsilon)
| set epsilon which will be added to the covariance matrix diagonal which avoids singular covariance matrix

## Detailed Description

Helper class that fits a single Gaussian to color samples.

Definition at line 256 of file grabcut_segmentation.h.

## Constructor & Destructor Documentation

## GaussianFitter()

pcl::segmentation::grabcut::GaussianFitter::GaussianFitter | ( | float | epsilon = 0.0001f | ) |

inline

Definition at line 259 of file grabcut_segmentation.h.

## Member Function Documentation

## add()

void pcl::segmentation::grabcut::GaussianFitter::add | ( | const Color & | c | ) |

Add a color sample.

## fit()

void pcl::segmentation::grabcut::GaussianFitter::fit | ( | Gaussian & | g,
|  | std::size_t | total_count,
|  | bool | compute_eigens = false ) const

Build the gaussian out of all the added color samples.

## getEpsilon()

float pcl::segmentation::grabcut::GaussianFitter::getEpsilon | ( |  | ) |

inline

Returns
  epsilon

Definition at line 271 of file grabcut_segmentation.h.

## setEpsilon()

void pcl::segmentation::grabcut::GaussianFitter::setEpsilon | ( | float | epsilon | ) |

inline

set epsilon which will be added to the covariance matrix diagonal which avoids singular covariance matrix

Parameters

  [in] | epsilon | user defined epsilon

Definition at line 277 of file grabcut_segmentation.h.

The documentation for this class was generated from the following file:

- pcl/segmentation/grabcut_segmentation.h